Author Topic: teamviewer 12  (Read 109 times)

Offline travica77

  • Newbie
  • *
  • Posts: 31
teamviewer 12
« on: November 07, 2017, 12:59:13 pm »
Hello,
After upgrade sparky testing teamviewer doesn't work anymore. Init...
CheckCPU: SSE2 support: yes
XRandRWait: No value set. Using default.
XRandRWait: Started by user.
Checking setup...
Launching TeamViewer ...
Launching TeamViewer GUI ..


Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1707
    • SparkyLinux
Re: teamviewer 12
« Reply #1 on: November 08, 2017, 01:18:50 am »
I have checked it out, and it works fine on Debian Stretch/Sparky 4, but doesn't on Buster/Sparky 5.
It is closed source package so I can only guess that it was compiled on Debian stable (Stretch) and is binary compatible with the stable libs.
Nothing is easy as it looks.
Danielle Steel

Offline travica77

  • Newbie
  • *
  • Posts: 31
Re: teamviewer 12 [Solved]
« Reply #2 on: November 08, 2017, 11:10:24 am »
Hello
I found the solutiom on teamviewer community:  https://community.teamviewer.com/t5/Linux/teamviewer-12-for-linux-antergos-no-opening/td-p/15599
I faced with the same problem on debian buster (testing). After upgrading of libfreetype6 package the teamviewer gui stop working.

There is a better solution. I download i386 libfreetype6 package for debian stable from packages.debian.org. Then I unpack this package and put two files from them (libfreetype.so.6, libfreetype.so.6.12.3) to /opt/teamviewer/tv_bin/RTlib/ directory.

Results:
1) system package libfreetype6 was NOT replaced by older version
2) teamviewer works just fine.
« Last Edit: November 09, 2017, 08:22:32 am by travica77 »